Skip to main content

DCC Offer


Overview

A DCC offer creates a new offer record in your system. Request the DCC Offer service to determine the eligibility of the transaction for DCC and to convert the price from the local payment currency to the DCC billing currency for eligible transactions.

Header Fields

DCC Offer calls require these header fields:

  • Authorization
  • keyId

Endpoints

POST /vas/v1/currencyconversion

POST /vas/v1/currencyconversion

POST /vas/v1/currencyconversion

Example

{  "clientReferenceInformation": {    "code": "REF-101-USD-909",    "partner": {      "developerId": "123456",      "solutionId": "123456"    },    "applicationName": "REST API",    "applicationVersion": "1.23.44",    "applicationUser": "Bob"  },  "paymentInformation": {    "card": {      "number": "41111111111"    }  },  "orderInformation": {    "amountDetails": {      "originalAmount": "100.00",      "originalCurrency": "USD"    },    "currencyConversion": {      "type": "DCC"    }  },  "pointOfSaleInformation": {    "terminalId": "12345678",    "entryMode": "CONTACT"  }}
{  "clientReferenceInformation": {    "code": "REF-101-USD-909"  },  "id": "6843379070056369304008",  "submitTimeUtc": "2023-05-17T22:47:57Z",  "status": "PENDING",  "orderInformation": {    "currencyConversion": {      "type": "DCC",      "reconciliationId": "ABC123",      "offer": [        {          "originalAmount": "100.00",          "originalCurrency": "USD",          "amount": "157.00",          "currency": "AUD",          "exchangeRate": "1.57",          "marginRate": "3.0",          "rateSource": "Wholesale Exchange Rate",          "exchangeRateTimeUtc": "2023-05-17T23:47:57Z",          "exchangeRateExpirationTimeUtc": "2024-05-18T22:47:57Z",          "exchangeRateInverted": true,          "rateId": "009F303309AF07234520190628143445"        }      ],      "disclaimer": "SAMPLE ONLY: I have been offered a choice of currencies and choose to pay in the selected currency above. Dynamic Currency Conversion (DCC) is provided by the <MERCHANT>."    }  }}

Required Fields

orderInformation.amountDetails.originalAmount string · Required

Amount of the transaction in your local pricing currency.

orderInformation.amountDetails.originalCurrency string · Required

The local pricing currency you use for the transaction.

paymentInformation.card.number string · Required

Card number for the transaction. Used to determine card BIN and eligibility for DCC.

Optional Fields

clientReferenceInformation.applicationName string · Optional

Name of the application submitting the request.

clientReferenceInformation.applicationUser string · Optional

User associated with the request.

clientReferenceInformation.applicationVersion string · Optional

Version of the application submitting the request.

clientReferenceInformation.code string · Optional

Merchant reference code for the transaction.

clientReferenceInformation.partner.developerId string · Optional

Identifier for the developer that helped integrate a partner solution with .

clientReferenceInformation.partner.solutionId string · Optional

Identifier for the partner solution.

orderInformation.currencyConversion.type string · Optional

The currency conversion type. This field is required when MCP is enabled.

Default value:

  • DCC: Dynamic Currency Conversion
pointOfSaleInformation.entryMode string · Optional

Card entry mode. Possible values:

  • KEYED: may refer to MOTO on a terminal, MOTO on a virtual terminal, or eCommerce.
  • SWIPED
  • CONTACT
  • CONTACTLESS
pointOfSaleInformation.terminalId string · Optional

Terminal identifier for the transaction.

Last published: September 29, 2026